package ink.wgink.mongo.module.dictionary.enums;

/**
 * @ClassName: MongoDictionaryCollectionEnum
 * @Description:
 * @Author: wanggeng
 * @Date: 2021/11/19 10:45 上午
 * @Version: 1.0
 */
public enum MongoDictionaryCollectionEnum {

    DATA("dictionaryData", "数据字典"),
    AREA("dictionaryArea", "地区字典");

    private String value;
    private String summary;

    MongoDictionaryCollectionEnum(String value, String summary) {
        this.value = value;
        this.summary = summary;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getSummary() {
        return summary == null ? "" : summary.trim();
    }
}
